function love.load()
  X = 0
  Y = 0
  TUILEW = 60
  TUILEH = 30

  Terrain = {}
  for I = 1, 1000 do
    Terrain[I] = {}
    for J = 1, 1000 do
      Terrain[I][J] = love.math.random(58)
    end
  end

  require("import")
end

function love.update()
  WIDTH, HEIGHT, FLAGS = love.window.getMode()
  if love.keyboard.isDown("right") then
    X = X + 1
  end
  if love.keyboard.isDown("left") then
    X = X - 1
  end
  if love.keyboard.isDown("up") then
    Y = Y - 1
  end
  if love.keyboard.isDown("down") then
    Y = Y + 1
  end
end

function love.draw()
  for i = 1, math.ceil(WIDTH / TUILEW) + 1 do
    for j = 1, math.ceil(HEIGHT * 2 / TUILEH) + 1 do
      I = math.floor((j + 2 * Y) / 2) + (i + X)
      J = 1 + math.ceil((j + 2 * Y) / 2) - (i + X)
      if I >= 1 and I <= 1000 and J >= 1 and J <= 1000 then
        love.graphics.draw(Test[Terrain[I][J]], ((j - 1) % 2) * TUILEW / 2 + (i - 1) * TUILEW - Test[Terrain[I][J]]:getWidth() / 2, j * TUILEH / 2 - Test[Terrain[I][J]]:getHeight())
    end
  end
end
love.graphics.print(love.timer.getFPS())
end

function love.keypressed(key)
  if key == "1" then
    love.window.setFullscreen(not FLAGS.fullscreen)
  end
end